unit fin_partie;

interface

uses
{$IFDEF MSWINDOWS}
  windows, messages,
{$ENDIF}
  QGraphics, QControls, QForms, QDialogs, QStdCtrls, Classes;

type
  Tfinpartie = class(TForm)
    Label1: TLabel;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    GroupBox2: TGroupBox;
    Edit1: TEdit;
    Button1: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Déclarations privées }
  public
    { Déclarations publiques }
  end;

var
  finpartie: Tfinpartie;

implementation

uses Unit1;

{$R *.xfm}

procedure Tfinpartie.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  principale.Enabled:=True;
  principale.Difficile1.Enabled:=True;
  principale.Normal1.Enabled:=True;
  If GroupBox2.Visible=true then principale.EnrScor;
  Principale.Panel1.Enabled:=True;
  Principale.Fichier.Enabled:=True;
  action := cafree;
end;

procedure Tfinpartie.Button1Click(Sender: TObject);
begin
 finpartie.Close;
end;

procedure Tfinpartie.FormCreate(Sender: TObject);
begin
  Principale.Panel1.Enabled:=False;
  Principale.Fichier.Enabled:=false;
  Left := (Screen.Width - Width) div 2;
  Top  := (Screen.Height - Height) div 2;  
end;

procedure Tfinpartie.FormShow(Sender: TObject);
begin
  Finpartie.PixelsPerInch:=Principale.PixelsPerInch;
  with Label1 do
  begin
    Left := 40;
    Top := 11;
    Width := 497;
    Height := 24;
    AutoSize := false;
  end;
  with GroupBox1 do
  begin
    Left := 8;
    Top := 40;
    Width := 209;
    Height := 89;
  end;
  with Label2 do
  begin
    Left := 8;
    Top := 16;
    Width := 185;
    Height := 18;
    AutoSize := false;
  end;
  with Label3 do
  begin
    Left := 8;
    Top := 32;
    Width := 185;
    Height := 18;
    AutoSize := false;
  end;
  with Label4 do
  begin
    Left := 8;
    Top := 48;
    Width := 185;
    Height := 18;
    AutoSize := false;
  end;
  with Label5 do
  begin
    Left := 8;
    Top := 64;
    Width := 185;
    Height := 18;
    AutoSize := false;
  end;
  with GroupBox2 do
  begin
    Left := 280;
    Top := 64;
    Width := 265;
    Height := 57;
  end;
  with Edit1 do
  begin
    Left := 16;
    Top := 24;
    Width := 233;
    Height := 26;
  end;
  with Button1 do
  begin
    Left := 448;
    Top := 128;
    Width := 97;
    Height := 25;
  end;

end;


end.
